Subject: Re: Linking gnu-win32 (X11R6.3) libraries in MS-Developer (*.a -?-> *.lib)
From: [email-masked] (Arlindo da Silva)

28 Sep 1997 09:35:58 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Tor M. Aamodt)
Cc: [email-masked]

Tor,

> 
> Okay, here is my story, I'll make it short:
> 
> I like the Microsoft Visual C++ Developer Studio for writing my code and
> debugging.   So, hey gnu-win32 lets me right my UNIX stuff using it,
> right?   That is what it seemed like but now I have the following
> annoying problem.  I am writing some code that uses the X11R6.3
> libraries built for NT, and I want to link to libX11.dll.   There is a
> libX11.a (which I have surmized, must have the code for loading the
> required functions from the dll)... so when I do a make (in MSDEV)
> everything is beautiful (no warnings or errors).  When I run, the first
> call I make to an X11 routine, XOpenWindow( ) somehow jmp's to nowhere
> and voila segmentation fault.   When I compile (under NT) with g++ the
> code works--so it is not a bug in the library.  MSDEV is obviously not
> reading libX11.a properly, right?   I notice that under Win32 all the
> libraries are .lib, what is the significance of this (and if it is
> significant, why doesn't MSDEV complain)?  For those that are still with
> me I have included my attempts to understand the problem below.
> 
> Thanks in advance,
> 

When I first built the X11R6.3 on my Win95 box I could not get the
DDLs (libX11.dll, etc.) to build correctly.  The actual compilation
would go fine without a glitch, but I could not run any client. So, I
turned to Sergey who was able to determine that

  - X11R6.3 DLLs build on Win95 does not work
  - X11R6.3 DLLs build on WinNT works on both win95 and winNT

What I have in my distribution is a mixed of things: *.a built on
win95 together with the *.dll's I got from Sergey. (At the time I did
not have access to a NT box). If I recall well, the problem was
related to a ld bug. Sergey, do you confirm this?

   Arlindo.

-- 

   *-----------------------------------------------------------------*
   |                                                                 |
   |             ^|^                     ARLINDO DA SILVA            |
   |              |                     212 Lexington Drive          |
   |             _|_                  Silver Spring, MD 20901        |
   |      @  ___|___|__                                              |
   |     _|_|__________|_______/     mailto:[email-masked]     |
   |    \  o o o o o o o  /                                          |
   |     \_______________/             Home: (301) 754-1121          |
   |  ^^^^^^^^^^^^^^^^^^^^^^^^          FAX: (301) 805-7960          |
   |                                                                 |
   *-----------------------------------------------------------------*

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".